Bug 961406 - Review Request: mingw-leptonica - MinGW Windows Leptonica library
Review Request: mingw-leptonica - MinGW Windows Leptonica library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 10:48 EDT by Sandro Mani
Modified: 2013-07-20 05:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-leptonica-1.69-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-20 05:42:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erik-fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-05-09 10:48:53 EDT
Spec URL: http://smani.fedorapeople.org/mingw-leptonica.spec
SRPM URL: http://smani.fedorapeople.org/mingw-leptonica-1.69-1.fc20.src.rpm
Description: MinGW Windows Leptonica library
Fedora Account System Username: smani

Note: this package requires mingw-giflib, see #961402
Comment 1 Erik van Pienbroek 2013-05-31 10:34:26 EDT
Taking for review

- The mingw_build_win32/mingw_build_win64 globals don't have to be set any more
- The BR: mingw32-filesystem mingw64-filesystem needs to be versioned to >= 95
Comment 2 Sandro Mani 2013-06-01 18:26:16 EDT
Spec URL: http://smani.fedorapeople.org/mingw-leptonica.spec
SRPM URL: http://smani.fedorapeople.org/mingw-leptonica-1.69-2.fc20.src.rpm

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 1.69-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires
Comment 3 Erik van Pienbroek 2013-07-07 14:10:44 EDT
$ rpmlint mingw-leptonica.spec 
mingw-leptonica.spec: W: invalid-url Source0: http://leptonica.googlecode.com/files/leptonica-1.69.tar.gz HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint mingw-leptonica-1.69-2.fc19.src.rpm 
mingw-leptonica.src: W: invalid-url Source0: http://leptonica.googlecode.com/files/leptonica-1.69.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint mingw32-leptonica-1.69-2.fc19.noarch.rpm mingw32-leptonica-static-1.69-2.fc19.noarch.rpm mingw64-leptonica-1.69-2.fc19.noarch.rpm mingw64-leptonica-static-1.69-2.fc19.noarch.rpm 
mingw32-leptonica-static.noarch: W: no-documentation
mingw64-leptonica-static.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.


$ rpm --query --requires mingw32-leptonica
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 95
mingw32(gdi32.dll)
mingw32(kernel32.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(libgif-4.dll)
mingw32(libjpeg-62.dll)
mingw32(libpng15-15.dll)
mingw32(libtiff-5.dll)
mingw32(libwebp-4.dll)
mingw32(msvcrt.dll)
mingw32-pkg-config
mingw32(user32.dll)
mingw32(zlib1.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-leptonica
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 95
mingw64(gdi32.dll)
mingw64(kernel32.dll)
mingw64(libgif-4.dll)
mingw64(libjpeg-62.dll)
mingw64(libpng15-15.dll)
mingw64(libtiff-5.dll)
mingw64(libwebp-4.dll)
mingw64(msvcrt.dll)
mingw64-pkg-config
mingw64(user32.dll)
mingw64(zlib1.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw32-leptonica-static
mingw32-leptonica = 1.69-2.fc19
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-leptonica-static
mingw64-leptonica = 1.69-2.fc19
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1


$ rpm --query --provides mingw32-leptonica
mingw32-leptonica = 1.69-2.fc19
mingw32(liblept-3.dll)

$ rpm --query --provides mingw64-leptonica
mingw64-leptonica = 1.69-2.fc19
mingw64(liblept-3.dll)

$ rpm --query --provides mingw32-leptonica-static
mingw32-leptonica-static = 1.69-2.fc19

$ rpm --query --provides mingw64-leptonica-static
mingw64-leptonica-static = 1.69-2.fc19


$ wget --quiet http://leptonica.googlecode.com/files/leptonica-1.69.tar.gz -O - | md5sum
274c921dcc47a97637ecc49c9e4a7b50  -
$ md5sum leptonica-1.69.tar.gz 
274c921dcc47a97637ecc49c9e4a7b50  leptonica-1.69.tar.gz


+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, or %mingw_cmake_kde4
    to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[!] Requires of the binary mingw32 and mingw64 packages are equal


The mingw32 package seems to depend on libgcc_s_sjlj-1.dll while the mingw64
package doesn't. I've also seen this on various other packages so we can
ignore this for now

The invalid-url rpmlint warning is a false postive and can be ignored

=====================================================
 The package mingw-leptonica is APPROVED by epienbro
=====================================================
Comment 4 Sandro Mani 2013-07-07 14:36:54 EDT
Thanks Erik!

New Package SCM Request
=======================
Package Name: mingw-leptonica
Short Description: MinGW Windows Leptonica library
Owners: smani
Branches: f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-07 15:13:59 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-07-08 05:12:55 EDT
mingw-leptonica-1.69-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-leptonica-1.69-2.fc18
Comment 7 Fedora Update System 2013-07-08 05:14:03 EDT
mingw-leptonica-1.69-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-leptonica-1.69-2.fc19
Comment 8 Fedora Update System 2013-07-08 21:27:49 EDT
mingw-leptonica-1.69-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-07-20 05:42:21 EDT
mingw-leptonica-1.69-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-07-20 05:44:25 EDT
mingw-leptonica-1.69-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.